> For the complete documentation index, see [llms.txt](https://docs.solv.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.solv.finance/developer-guide/other-components/cross-chain-bridge.md).

# Cross-chain Bridge

## Cross-Chain Mechanics

SolvBTC’s cross-chain functionality is powered by **Chainlink’s Cross-Chain Interoperability Protocol (CCIP)** and **Free.tech**, enabling secure and efficient transactions between different blockchains. This ensures that users can move their SolvBTC tokens between chains seamlessly, without incurring high transaction costs or experiencing delays. The combination of these technologies allows Solv Protocol to provide a frictionless experience for users who want to maximize their Bitcoin’s liquidity across ecosystems.

Note: a $5 bridging fee will be charged for CCIP transactions.

## SolvBTC Bridging Guide

Video Guide: <https://drive.google.com/drive/folders/16d42lNFEEkuw6DnDGSpc61E2SsCsnCdk>

To bridge SolvBTC.m and SolvBTC.b to all supported chains and provide liquidity to earn more yields, follow these steps:

1. zkLinkNova via[ free.tech](http://free.tech/) - Nova points

Steps:

1. Bridge SolvBTC.m and SolvBTC.b to zkLinkNova.
2. Accumulate Nova points as rewards for your liquidity provision.
3. Linea via[ free.tech](http://free.tech/) -[ LXP-L Points](https://x.com/LineaBuild/status/1791154553443975607)

Steps:

1. Bridge SolvBTC.m and SolvBTC.b to Linea.
2. Activate your account on Linea - <https://referrals.linea.build/?refCode=qloTilqFOE>
3. Deploy your assets into [whitelisted dApps](https://www.openblocklabs.com/app/linea/dashboard) on Linea.
4. Earn LXP-L Points by participating in the Linea ecosystem.
5. Core via [free.tech](http://free.tech/) - Spark Multiplier

Steps:

1. Bridge SolvBTC.b to Core.
2. [Activate](https://ignition.coredao.org/registration) your Core account.
3. Deposit SolvBTC.b in Core Chain ecosystem dApps


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.solv.finance/developer-guide/other-components/cross-chain-bridge.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
